Skip to main content

Update lead

PUThttps://api.propexo.com/v1/leads/:id

Update a lead.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

id stringrequired

The ID of the resource.

Request​

This endpoint expects an object.

    lead_idstring

    The Propexo unique identifier for the lead

    employee_idstring

    The Propexo unique identifier for the employee

    desired_unit_idsstring[]

    An array of the Propexo unit IDs that the lead is interested in

    Possible values: <= 25

    unit_idstring

    The Propexo unique identifier for the unit

    first_namestring

    The first name associated with the lead

    last_namestring

    The last name associated with the lead

    number_of_additional_occupantsinteger

    The number of additional occupants associated with the lead

    Possible values: >= 0

    desired_num_bathroomsnumber

    The desired number of bathrooms

    Possible values: >= 0

    desired_num_bedroomsnumber

    The desired number of bedrooms

    credit_scorestring

    The credit score of the lead

    target_move_in_datestring

    The move-in date associated with the lead. The timestamp will be stripped off and only the date will be used

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    email_1string

    The primary email address associated with the lead

    has_catsboolean

    Whether or not the lead has cats

    has_dogsboolean

    Whether or not the lead has dogs

    has_other_petsboolean

    Whether or not the lead has pets that aren't dogs or cats

    desired_max_rent_in_centsnumber

    The maximum rent cost the lead is looking to pay, in cents

    Possible values: >= 0

    monthly_income_in_centsinteger

    The monthly income of the lead, in cents

    Possible values: >= 0

    middle_initialstring

    The middle initial of the lead

    Possible values: non-empty and <= 1 characters

    phone_1string

    Primary phone number associated with the lead

    lead_sourcestring

    The name of the source of the lead

    statusstring

    The status associated with the lead

    Show 4 enum values
    ACTIVECOLDINACTIVEWAITLISTED
    inactive_reasonstring

    The reason the lead is inactive

    Show 10 enum values
    PRICELOCATIONAMENITIESNO_REASONDECIDED_NOT_TO_MOVELEASING_CRITERIA_NOT_METLOOKING_FOR_MOVE_IN_SPECIALNO_AVAILABILITYDUPLICATEOTHER
    desired_move_in_datestringdeprecated

    Deprecated. Use target_move_in_date instead.

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    desired_bathroomsstringdeprecated

    Deprecated. Use desired_num_bathrooms instead.

    desired_bedroomsintegerdeprecated

    Deprecated. Use desired_num_bedrooms instead.

    Possible values: >= 0

    lease_period_idstring

    The Propexo unique identifier for the lease period

    lead_source_idstring

    The Propexo unique identifier for the lead source

    middle_namestring

    The middle name associated with the lead

    phone_1_typestring

    Type of the primary phone number

    Show 4 enum values
    FAXHOMEMOBILEWORK
    phone_2string

    Secondary phone number associated with the lead

    phone_2_typestring

    Type of the secondary phone number

    Show 4 enum values
    FAXHOMEMOBILEWORK
    address_1string

    The first address line associated with the lead

    address_2string

    The second address line associated with the lead

    citystring

    The city associated with the lead

    statestring

    The state associated with the lead

    zipstring

    The zip code associated with the lead

    desired_min_rent_in_centsnumber | nullnullable

    The minimum rent cost the lead is looking to pay, in cents

    number_of_occupantsnumber

    The number of occupants living in the unit

    notesstring

    Notes associated with the lead

    events object[]deprecated

    DEPRECATED: Please use /events endpoints to write events. Array of events associated with this lead

  • Array [
  • unit_idstring

    The Propexo unique identifier for the unit

    x_type_idstringrequired

    The PMS id for the event type.

    x_leasing_agent_idstring

    The PMS id for the leasing agent.

    x_sub_type_idstring

    The PMS id for the event sub type.

    x_result_idstring

    The PMS id for the event result.

    event_datetimestring<date-time>

    The date and time that the event occured.

    appointment_datetimestring<date-time>

    The date and time that the appointment will occur. Required if using appointment type.

    time_fromstring
    time_tostring
    notesstring

    General notes about the event.

    titlestring

    Title for the event.

    reasons_for_eventstring

    The reason the event occurred.

    idstring

    The Propexo unique identifier for the event. Only required if attempting to update an existing event.

  • ]
  • address_type_idstring

    The Propexo unique identifier for the address type. This is required when updating the address

    desired_lease_term_in_monthsstring

    The amount of months for the lease term

    applicant_statusstring

    The status of the lead. This is optional and defaults to ACTIVE.

    Show 3 enum values
    APPLICANTCO_APPLICANTOCCUPANT
    countrystring

    The country associated with the lead

    status_rawstring

    The raw status associated with the lead

    desired_unit_typestring

    The desired type of unit

    lead_relationship_idstring

    The Propexo unique identifier for the lead relationship

    date_of_birthstring

    The date of birth associated with the lead

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    floor_plan_idstring

    The Propexo unique identifier for the floor plan

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/leads/:id
curl -X PUT https://api.propexo.com/v1/leads/:id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"lead_id": "string",
"employee_id": "string",
"desired_unit_ids": [
"string"
],
"unit_id": "string",
"first_name": "string",
"last_name": "string",
"number_of_additional_occupants": 0,
"desired_num_bathrooms": 0,
"desired_num_bedrooms": 0,
"credit_score": "string",
"target_move_in_date": "2024-07-29T15:51:28.071Z",
"email_1": "string",
"has_cats": true,
"has_dogs": true,
"has_other_pets": true,
"desired_max_rent_in_cents": 0,
"monthly_income_in_cents": 0,
"middle_initial": "string",
"phone_1": "string",
"lead_source": "string",
"status": "ACTIVE",
"inactive_reason": "PRICE",
"lease_period_id": "string",
"lead_source_id": "string",
"middle_name": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"desired_min_rent_in_cents": 0,
"number_of_occupants": 0,
"notes": "string",
"address_type_id": "string",
"desired_lease_term_in_months": "string",
"applicant_status": "APPLICANT",
"country": "string",
"status_raw": "string",
"desired_unit_type": "string",
"lead_relationship_id": "string",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"floor_plan_id": "string"
}'
200 Successful response
{
"job_id": "string",
"data": {}
}